The System API is different from the other Rhythm apps because it is not focused on a specific area of association management. Instead, this API provides endpoints that are useful across all the other areas of the platform. It is most commonly used to execute Queries which may combine data points from several apps.
System
/- This method cancels a state machine execution
Gets the current state of an execution
Gets the current state of an execution
This method cancels a sta...
System (v1-2025-04-18)
Download OpenAPI description
Languages
Servers
Mock server
https://docs.api.rhythmsoftware.com/_mock/apis/system/system-v1
https://system.api.rhythmsoftware.com
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/system/system-v1/stepFunctions/{tenantId}/describe/{executionArn}
- https://system.api.rhythmsoftware.com/stepFunctions/{tenantId}/describe/{executionArn}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/system/system-v1/stepFunctions/{tenantId}/describe/{executionArn}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "executionArn": "string", "input": "string", "output": {}, "start_date": "2019-08-24T14:15:22Z", "stateMachineArn": "string", "status": "ABORTED", "stop_date": "2019-08-24T14:15:22Z" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/system/system-v1/stepFunctions/{tenantId}/public/describe/{executionArn}
- https://system.api.rhythmsoftware.com/stepFunctions/{tenantId}/public/describe/{executionArn}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/system/system-v1/stepFunctions/{tenantId}/public/describe/{executionArn}'Response
application/json
{ "executionArn": "string", "input": "string", "output": {}, "start_date": "2019-08-24T14:15:22Z", "stateMachineArn": "string", "status": "ABORTED", "stop_date": "2019-08-24T14:15:22Z" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/system/system-v1/stepFunctions/{tenantId}/{stateMachineName}/{executionId}
- https://system.api.rhythmsoftware.com/stepFunctions/{tenantId}/{stateMachineName}/{executionId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://docs.api.rhythmsoftware.com/_mock/apis/system/system-v1/stepFunctions/{tenantId}/{stateMachineName}/{executionId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'